Debian Bug report logs - #691931
live-build: lb_config doesn't understand "--aptitude-options"

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Frank Gard <frank@familie-gard.de>

Date: Wed, 31 Oct 2012 14:09:01 UTC

Severity: normal

Found in version live-build/3.0~a51-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691931; Package live-build. (Wed, 31 Oct 2012 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Gard <frank@familie-gard.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 14:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Gard <frank@familie-gard.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lb_config doesn't understand "--aptitude-options"
Date: Wed, 31 Oct 2012 14:55:58 +0100
Package: live-build
Version: 3.0~a51-1
Severity: normal

Dear Maintainer,

due to a typo in /usr/share/live/build/scripts/build/lb_config it's not possible to use the option "--aptitude-options". It should be quite easy to fix it by replacing "aptitute-options" through the correct "aptitude-options" in the LONG_OPTIONS variable. Here's the patch:

cp /usr/share/live/build/scripts/build/lb_config{,.buggy}
vi /usr/share/live/build/scripts/build/lb_config
diff -u /usr/share/live/build/scripts/build/lb_config{.buggy,}
--- /usr/share/live/build/scripts/build/lb_config.buggy 2012-06-27 14:45:12.000000000 +0200
+++ /usr/share/live/build/scripts/build/lb_config       2012-10-31 14:35:57.996727126 +0100
@@ -155,7 +155,7 @@

 Local_arguments ()
 {
-       LONG_OPTIONS="apt:,apt-ftp-proxy:,apt-http-proxy:,apt-options:,aptitute-options:,
+       LONG_OPTIONS="apt:,apt-ftp-proxy:,apt-http-proxy:,apt-options:,aptitude-options:,
                apt-pipeline:,apt-recommends:,apt-secure:,apt-source-archives:,bootstrap:,cache:,cache-indices:,cache-packages:,
                cache-stages:,debconf-frontend:,debconf-nowarnings:,debconf-priority:,dump,
                initramfs:,initramfs-compression:,initsystem:,fdisk:,losetup:,mode:,system:,root-command:,use-fakeroot:,tasksel:,includes:,
r


Thanks in advance!
Frank.



-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a43-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools                  3.0.13-1
ii  fakeroot                    1.18.4-2
pn  genisoimage                 <none>
pn  memtest86+ | memtest86      <none>
pn  mtools                      <none>
pn  parted                      <none>
pn  squashfs-tools | mtd-tools  <none>
ii  sudo                        1.8.5p2-1
pn  syslinux | grub             <none>
ii  uuid-runtime                2.20.1-5.2
pn  win32-loader                <none>

-- no debconf information



Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Wed, 31 Oct 2012 14:15:12 GMT) Full text and rfc822 format available.

Notification sent to Frank Gard <frank@familie-gard.de>:
Bug acknowledged by developer. (Wed, 31 Oct 2012 14:15:12 GMT) Full text and rfc822 format available.

Message #10 received at 691931-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Frank Gard <frank@familie-gard.de>
Cc: 691931-done@bugs.debian.org
Subject: Re: Bug#691931: live-build: lb_config doesn't understand "--aptitude-options"
Date: Wed, 31 Oct 2012 15:11:25 +0100
dupe of #691930, closing.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691931; Package live-build. (Wed, 31 Oct 2012 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Gard <frank@familie-gard.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 14:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 691931@bugs.debian.org (full text, mbox):

From: Frank Gard <frank@familie-gard.de>
To: 691931@bugs.debian.org
Subject: This is a duplicate of bug #691930
Date: Wed, 31 Oct 2012 15:16:49 +0100
Sorry,

I'm a novice user of reportbug :( ...

Frank.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691931; Package live-build. (Wed, 31 Oct 2012 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 691931@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Frank Gard <frank@familie-gard.de>
Cc: 691931@bugs.debian.org
Subject: Re: Bug#691931: This is a duplicate of bug #691930
Date: Wed, 31 Oct 2012 15:48:32 +0100
On 10/31/2012 03:16 PM, Frank Gard wrote:
> I'm a novice user of reportbug :( ...

no problem, don't worry.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691931; Package live-build. (Wed, 31 Oct 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Gard <frank@familie-gard.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 691931@bugs.debian.org (full text, mbox):

From: Frank Gard <frank@familie-gard.de>
To: 691931@bugs.debian.org
Subject: Bug #691931 has to be reopened
Date: Wed, 31 Oct 2012 16:42:08 +0100
Dear maintainer,

I'm terribly sorry, but to make it work, another patch has to be applied I didn't see at a first glance:

--- /usr/share/live/build/scripts/build/lb_config.buggy.2       2012-10-31 16:36:40.165158636 +0100
+++ /usr/share/live/build/scripts/build/lb_config       2012-10-31 16:26:41.745122703 +0100
@@ -259,7 +259,7 @@
                                ;;

                        --aptitude-options)
-                               LB_APTITUDE_OPTIONS="${2}"
+                               APTITUDE_OPTIONS="${2}"
                                shift 2
                                ;;


BTW:
Why are some of the vars named LB_* while others aren't. Bugs like this one will happen...


Thanks,
Frank.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691931; Package live-build. (Wed, 31 Oct 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #30 received at 691931@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Frank Gard <frank@familie-gard.de>, 691931@bugs.debian.org
Subject: Re: Bug#691931: Bug #691931 has to be reopened
Date: Wed, 31 Oct 2012 13:25:44 -0300
On 31/10/12 12:42 PM, Frank Gard wrote:
> Why are some of the vars named LB_* while others aren't. Bugs like this one will happen...

I just had a look at this too. Near as I can figure, the ones named LB_
are considered options of live-build itself, whereas the other ones
belong to the individual programs. They appear to be named this way
because at one time they were internal (i.e. no public interface to set
them was provided). That distinction looks like it's now gone, so I
don't see a strong argument for leaving them without an LB_ prefix
anymore, either.

# Internal stuff (FIXME)
APT_OPTIONS="${APT_OPTIONS}"
APTITUDE_OPTIONS="${APTITUDE_OPTIONS}"
DEBOOTSTRAP_OPTIONS="${DEBOOTSTRAP_OPTIONS}"
CDEBOOTSTRAP_OPTIONS="${CDEBOOTSTRAP_OPTIONS}"
GZIP_OPTIONS="${GZIP_OPTIONS}"
ISOHYBRID_OPTIONS="${ISOHYBRID_OPTIONS}"
EOF

That is, the FIXME probably was an acknowledgment that the lack of a
public interface was a problem (now fixed).

Ben



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691931; Package live-build. (Thu, 01 Nov 2012 05:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 01 Nov 2012 05:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 691931@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Cc: 691931@bugs.debian.org, Frank Gard <frank@familie-gard.de>
Subject: Re: Bug#691931: Bug #691931 has to be reopened
Date: Thu, 01 Nov 2012 06:52:36 +0100
On 10/31/2012 05:25 PM, Ben Armstrong wrote:
> That distinction looks like it's now gone, so I
> don't see a strong argument for leaving them without an LB_ prefix
> anymore, either.

right, however, i'll intend to go over all of them in the next couple of
days anway, so as a quick fix, i've removed the LB_ prefix at that one
place.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Nov 2012 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:36:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.